class TextEditor
  class Clipboard
    extend Forwardable
    include Component

    def_delegators :adapter, :copy, :paste

    private

    def adapter
      @adapter ||= type.new
    end

    def type
      self.class.const_get(editor.os.type)
    end
  end
end
