class TextEditor
  class Clipboard
    class Cygwin
      CLIPBOARD = "/dev/clipboard".freeze

      def copy(content)
        File.write(CLIPBOARD, content)
        content
      end

      def paste
        File.read(CLIPBOARD)
      end
    end
  end
end
