class TextEditor
  class Command
    class AppendLineAndInsert < Command
      def run(*)
        new_buffer = buffer.insert_line(line.next)
        window.update(new_buffer, cursor)
        command.cursor_down.change_mode(:insert)
      end
    end
  end
end
