class TextEditor
  class Command
    class CursorRight < Command
      def run(*)
        lines = buffer.size.pred
        columns = buffer.line(line).size
        new_cursor = cursor.right.clamp(lines, columns)
        window.update(buffer, new_cursor)
      end
    end
  end
end
