class TextEditor
  class Command
    class PrependLineAndInsert < Command
      def run(*)
        new_buffer = buffer.insert_line(line)
        window.update(new_buffer, cursor)
        command.cursor_start.change_mode(:insert)
      end
    end
  end
end
