class TextEditor
  class Command
    class ReplaceLine < Command
      def run(*)
        new_buffer = buffer.replace_line(line)
        new_cursor = cursor.move(line, 0)
        window.update(new_buffer, new_cursor)

        command.change_mode(:insert)
      end
    end
  end
end
