class TextEditor
  class Configuration
    class Flavor
      attr_reader :name

      def initialize(name, &block)
        @name = name.to_sym
        instance_eval(&block) if block
      end

      def mode(name, &block)
        modes[name.to_sym] = Mode.new(name, &block)
      end

      def modes
        @modes ||= {}
      end
    end
  end
end
