class TextEditor
  class Command
    class CursorStartWithoutWhitespace < Command
      def run(*)
        index = scan.skip(/\s+/) || 0
        new_cursor = cursor.move(line, index)
        window.update(buffer, new_cursor)
      end
    end
  end
end
