class TextEditor
  class Command
    class CursorUp < Command
      def run(*)
        return if line.zero?

        columns = buffer.line(line.pred).size
        new_cursor = cursor.up.clamp(line.pred, columns)
        window.update(buffer, new_cursor)
      end
    end
  end
end
