class TextEditor
  class Command
    class InsertChar < Command
      def run(key)
        new_buffer = buffer.insert_char(line, column, key)
        new_cursor = cursor.right(key.size)
        window.update(new_buffer, new_cursor)
      end
    end
  end
end
