class TextEditor
  class Configuration
    include Component

    attr_accessor :files, :default_flavor

    def config
      self
    end

    def flavor(name, &block)
      editor.flavors[name] = Flavor.new(name, &block)
    end

    def log
      @log ||= Log.new
    end

    def tab
      @tab ||= Tab.new
    end
  end
end
